Subject: inplace

From: Reuben Thomas <[email-masked]>
Date: Thu, 29 Nov 2012 15:20:47 +0000

On Fri, 14 May 2004 15:53:04 +0600 (YEKST), Victor Porton offered his handy
"inplace" script to coreutils, which runs a filter on a file in-place. A
couple of replies said there was no need for this as one could do in-place
editing with perl or sed, but I think that was misguided, as the point of
inplace is that it works with any filter. I just used it with xml_grep:

inplace "xml_grep --exclude 'ul[@class=\"toc\"]' \"\$IN\" > \"\$OUT\""
"$book.xhtml"

I attach an updated version of inplace with some bashisms and typos fixed.

-- 
http://rrt.sc3d.org